org.apache.ignite.internal.pagemem.wal.record

## Class LazyDataEntry

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.DataEntry
  - - org.apache.ignite.internal.pagemem.wal.record.LazyDataEntry

    public class LazyDataEntry
    extends DataEntry

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVer, op, partCnt, partId, val, writeVer`

### Constructor Summary

Constructors
Constructor and Description
`LazyDataEntry(GridCacheSharedContext cctx, int cacheId, byte keyType, byte[] keyBytes, byte valType, byte[] valBytes, GridCacheOperation op, GridCacheVersion nearXidVer, GridCacheVersion writeVer, long expireTime, int partId, long partCnt)`

### Method Summary

Methods
`KeyCacheObject` `key()`
`CacheObject` `value()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, nearXidVersion, op, partitionCounter, partitionId, toString, writeVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LazyDataEntry

    public LazyDataEntry(GridCacheSharedContext cctx,
                 int cacheId,
                 byte keyType,
                 byte[] keyBytes,
                 byte valType,
                 byte[] valBytes,
                 GridCacheOperation op,
                 GridCacheVersion nearXidVer,
                 GridCacheVersion writeVer,
                 long expireTime,
                 int partId,
                 long partCnt)

Parameters:
  `cacheId` - Cache ID.
  `op` - Operation.
  `nearXidVer` - Near transaction version.
  `writeVer` - Write version.
  `partId` - Partition ID.
  `partCnt` - Partition counter.

### Method Detail

#### key

    public KeyCacheObject key()

Overrides:
  `key` in class `DataEntry`
Returns:
  Key cache object.

#### value

    public CacheObject value()

Overrides:
  `value` in class `DataEntry`
Returns:
  Value cache object.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017